Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1484094 - fontconfig-2.10.95-11.el7 pulls random fonts as a dependency
fontconfig-2.10.95-11.el7 pulls random fonts as a dependency
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fontconfig (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Akira TAGOH
Desktop QE
: i18n
: 1496299 (view as bug list)
Depends On:
Blocks: 1549949
  Show dependency treegraph
 
Reported: 2017-08-22 12:46 EDT by Viktor Ashirov
Modified: 2018-10-30 06:20 EDT (History)
12 users (show)

See Also:
Fixed In Version: fontconfig-2.13.0-4.3.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-30 06:19:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3197032 None None None 2017-10-16 03:01 EDT
Red Hat Product Errata RHSA-2018:3140 None None None 2018-10-30 06:20 EDT

  None (edit)
Description Viktor Ashirov 2017-08-22 12:46:26 EDT
Description of problem
bz1403957 introduced new dependency for fontconfig.
fontconfig-2.10.95-11.el7 now requires font(:lang=en)

$ repoquery --whatprovides 'font(:lang=en)' | wc -l
75

That's a huge list, and fonts get picked different each time.
For example, I have stix-fonts or paratype-pt-sans-caption-fonts installed on different machines.

With stix-fonts and java apps there is a known issue: bz1484079
Customers hit it after upgrade to RHEL7.4.

Version-Release number of selected component (if applicable):
fontconfig-2.10.95-11.el7

How reproducible:
Deterministically

Steps to Reproduce:
1. Install a fresh RHEL7.4 system
2. yum install fontconfig

Actual results:
Additional font package is pulled as a dependency, each time different.

Expected results:
I think fontconfig should depend on some particular known font, that provides font(:lang=en) and doesn't cause issues like the one in bz1484079.

Additional info:
Comment 2 Akira TAGOH 2017-08-22 22:35:48 EDT
Well, fontconfig itself simply requires ANY single font package to get it working. it doesn't care what that is. in fact, that dep was added to address Bug#1403957 which was caused by fontconfig right.

The sort of this issue is a mininum requirement for certain apps but it isn't for fontconfig. this should be fixed in apps as deps or comps for that installation as desktop does.
Comment 3 Viktor Ashirov 2017-08-24 07:53:33 EDT
So what would be the next steps to address that?
Comment 4 Akira TAGOH 2017-08-24 08:13:06 EDT
add a dep of a certain font package to java or to comps for server. dunno if comps helps for upgrade though.
Comment 5 Jens Petersen 2017-10-16 03:00:40 EDT
Maybe it is better to remove the meta font dependency from fontconfig now?

subscription-manager-gui requires Canterell font now at least.
Comment 6 Jens Petersen 2017-10-16 03:01:10 EDT
*** Bug 1496299 has been marked as a duplicate of this bug. ***
Comment 7 Stuart James 2018-01-30 06:46:39 EST
Internal bug reports duplicate, useful to have public visibility.
Comment 11 Akira TAGOH 2018-06-08 06:47:24 EDT
Fixed in fontconfig-2.13.0-4.1.el7
Comment 14 Viktor Ashirov 2018-08-22 04:57:29 EDT
Build tested: fontconfig-2.13.0-4.3.el7.x86_64

Previously:
# repoquery --requires fontconfig | grep font | sort -u
font(:lang=en)
fontpackages-filesystem

In the build fontconfig-2.13.0-4.3.el7.x86_64:

# repoquery --requires fontconfig | grep font | sort -u 
dejavu-sans-fonts
fontpackages-filesystem

Indeed, dejavu-sans-fonts is pulled as a dependency:

# yum install fontconfig 
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package fontconfig.x86_64 0:2.13.0-4.3.el7 will be installed
--> Processing Dependency: dejavu-sans-fonts for package: fontconfig-2.13.0-4.3.el7.x86_64
--> Processing Dependency: fontpackages-filesystem for package: fontconfig-2.13.0-4.3.el7.x86_64
--> Running transaction check
---> Package dejavu-sans-fonts.noarch 0:2.33-6.el7 will be installed
--> Processing Dependency: dejavu-fonts-common = 2.33-6.el7 for package: dejavu-sans-fonts-2.33-6.el7.noarch
---> Package fontpackages-filesystem.noarch 0:1.44-8.el7 will be installed
--> Running transaction check
---> Package dejavu-fonts-common.noarch 0:2.33-6.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                      Arch        Version               Repository
                                                                           Size
================================================================================
Installing:
 fontconfig                   x86_64      2.13.0-4.3.el7        rhel      254 k
Installing for dependencies:
 dejavu-fonts-common          noarch      2.33-6.el7            rhel       64 k
 dejavu-sans-fonts            noarch      2.33-6.el7            rhel      1.4 M
 fontpackages-filesystem      noarch      1.44-8.el7            rhel      9.9 k

Transaction Summary
================================================================================
Install  1 Package (+3 Dependent packages)

Total download size: 1.7 M
Installed size: 5.9 M
Is this ok [y/d/N]: y
Downloading packages:
(1/4): dejavu-fonts-common-2.33-6.el7.noarch.rpm           |  64 kB   00:00     
(2/4): fontconfig-2.13.0-4.3.el7.x86_64.rpm                | 254 kB   00:00     
(3/4): dejavu-sans-fonts-2.33-6.el7.noarch.rpm             | 1.4 MB   00:00     
(4/4): fontpackages-filesystem-1.44-8.el7.noarch.rpm       | 9.9 kB   00:00     
--------------------------------------------------------------------------------
Total                                              7.7 MB/s | 1.7 MB  00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : fontpackages-filesystem-1.44-8.el7.noarch                    1/4 
  Installing : dejavu-fonts-common-2.33-6.el7.noarch                        2/4 
  Installing : dejavu-sans-fonts-2.33-6.el7.noarch                          3/4 
  Installing : fontconfig-2.13.0-4.3.el7.x86_64                             4/4 
  Verifying  : dejavu-sans-fonts-2.33-6.el7.noarch                          1/4 
  Verifying  : fontconfig-2.13.0-4.3.el7.x86_64                             2/4 
  Verifying  : fontpackages-filesystem-1.44-8.el7.noarch                    3/4 
  Verifying  : dejavu-fonts-common-2.33-6.el7.noarch                        4/4 

Installed:
  fontconfig.x86_64 0:2.13.0-4.3.el7                                            

Dependency Installed:
  dejavu-fonts-common.noarch 0:2.33-6.el7                                       
  dejavu-sans-fonts.noarch 0:2.33-6.el7                                         
  fontpackages-filesystem.noarch 0:1.44-8.el7                                   

Complete!


Marking as VERIFIED.
Comment 21 errata-xmlrpc 2018-10-30 06:19:48 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140

Note You need to log in before you can comment on or make changes to this bug.